Package com.smartgwt.client.types

# Enum AnimationLayoutMode

java.lang.Object
java.lang.Enum<AnimationLayoutMode>
com.smartgwt.client.types.AnimationLayoutMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<AnimationLayoutMode>`, `Constable`

public enum AnimationLayoutMode extends Enum<AnimationLayoutMode> implements ValueEnum
During a `size animation`. when should the layout of the children be updated?

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  - for every change to the target's width or height
  `ATEND`
  - only layout the children at the end of the animation
  `OVERFLOW`
  - for every size change which leaves the target overflowed

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static AnimationLayoutMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AnimationLayoutMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALWAYS

    public static final AnimationLayoutMode ALWAYS
    - for every change to the target's width or height

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "always".

  - ### OVERFLOW

    public static final AnimationLayoutMode OVERFLOW
    - for every size change which leaves the target overflowed

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "overflow".

  - ### ATEND

    public static final AnimationLayoutMode ATEND
    - only layout the children at the end of the animation

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "atEnd".

- ## Method Details

  - ### values

    public static AnimationLayoutMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AnimationLayoutMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`